NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Classes | Public Attributes | List of all members
jsOptions Struct Reference
Types

`#include <nats.h>`

## Classes
struct | jsOptionsPublishAsync
struct | jsOptionsStream

## Public Attributes
const char * | Prefix
| JetStream prefix, default is "$JS.API".
const char * | Domain
| Domain changes the domain part of JetSteam API prefix.
int64_t | Wait
| Amount of time (in milliseconds) to wait for various JetStream API requests, default is 5000 ms (5 seconds).
struct jsOptions::jsOptionsPublishAsync | PublishAsync
struct jsOptions::jsOptionsStream | Stream
| Optional stream options.

## Detailed Description

JetStream context options.

Initialize the object with jsOptions_Init.

## Member Data Documentation

## ◆ Prefix

const char* jsOptions::Prefix

## ◆ Domain

const char* jsOptions::Domain

## ◆ Wait

int64_t jsOptions::Wait

## ◆ PublishAsync

struct jsOptions::jsOptionsPublishAsync jsOptions::PublishAsync

## ◆ Stream

struct jsOptions::jsOptionsStream jsOptions::Stream

The documentation for this struct was generated from the following file:

- nats.h